define({"0":{i:0.00216335837057356,u:"../Content/Shared/Introduction/Intro.htm",a:"Introduction to Eduction This section introduces Eduction components and concepts.",t:"Introduction to Eduction"},"1":{i:0.00216335837057356,u:"../Content/Shared/Introduction/About.htm",a:"Eduction is a tool that you can use to identify and extract an entity (a word, phrase, or block of information) from text, based on a pattern you define. The entities are contained inside grammar files. Eduction includes standard grammar files, which allow you to quickly and easily extract commonly ...",t:"About Eduction"},"2":{i:0.00216335837057356,u:"../Content/Shared/Introduction/EductionArchitecture.htm",a:"\n\t\tFigure 1 shows the basic Eduction architectural flow for extracting entities from a document when Eduction is used with IDOL. For information about the individual components for Eduction, see  Eduction Components . Figure 1: IDOL Eduction workflow Figure 2\n            shows the Eduction ...",t:"Eduction Architecture"},"3":{i:0.00308278973661125,u:"../Content/Shared/Introduction/EductionComponents.htm",a:"Eduction consists of the following components: Eduction Engine. The core logic in Eduction that supports the extraction of predefined entities from text, using Eduction grammar files compiled from XML source. Command-line tool (edktool). edktool compiles grammar files, performs extraction from the ...",t:"Eduction Components"},"4":{i:0.00216335837057356,u:"../Content/Shared/Introduction/CommonUseScenarios.htm",a:"\n       Common Use Scenarios The following scenarios describe possible use cases for Eduction: Use edktool to compile grammars, and test extraction on IDX, XML, or plain text documents.  Use the Eduction ACI server from a browser to identify employee names in a document. Use Eduction to extract and ...",t:"\n       Common Use Scenarios"},"5":{i:0.00216335837057356,u:"../Content/Shared/Introduction/EductionConcepts.htm",a:"Eduction Concepts This section introduces some of the Eduction concepts and terminology used throughout this guide.",t:"Eduction Concepts"},"6":{i:0.00216335837057356,u:"../Content/Shared/Introduction/Dictionaries.htm",a:"\n         In Eduction, a dictionary is a file that provides a vocabulary for a simple entity, such as cities or countries. The dictionaries are organized by a list of headwords (simple or compound). Each headword can also have a set of associated words called synonyms. Eduction uses the dictionary ...",t:"Dictionaries"},"7":{i:0.00216335837057356,u:"../Content/Shared/Introduction/Grammars.htm",a:"\n           A grammar is a file that provides rules for complicated entities such as URLs or postal addresses. The entities can be recursively defined. Rules can refer to entities in external grammars and dictionaries. Eduction uses the grammar to scan a document and extract the defined entities ...",t:"Grammars"},"8":{i:0.00216335837057356,u:"../Content/Shared/Introduction/LSA.htm",a:"The sentiment analysis grammar files contain dictionaries of types of word (for example, positive adjective, negative noun, neutral adverb, and so on), and patterns that describe how to combine these dictionaries to form positive and negative phrases. For example, you could run sentiment extraction ...",t:"Linguistic Sentiment Analysis"},"9":{i:0.00216335837057356,u:"../Content/Shared/Introduction/Components2.htm",a:"Some of the standard grammar files contain components, which enable you to extract attributes from matched phrases, such as topic, subject, and positive or negative sentiments. The attributes are called components because they are the components of a single match.  For example, if you used sentiment ...",t:"Components"},"10":{i:0.00216335837057356,u:"../Content/Shared/Introduction/Extraction.htm",a:"Eduction extracts entities from documents based on the rules you have created in your dictionaries and grammars. Eduction can output files in multiple formats using edktool. For each nominated field in a document, Eduction identifies each instance of the requested entity. Eduction returns an XML ...",t:"Extraction"},"11":{i:0.00216335837057356,u:"../Content/Shared/Introduction/ResultsRelevance.htm",a:"Eduction returns entities based on the extraction rules from the grammars and dictionaries. Eduction provides a test mode to measure extraction relevance precision and recall. Precision and recall are based on the comparison between human-marked results and engine-marked results. The following terms ...",t:"Results Relevance"},"12":{i:0.00216335837057356,u:"../Content/Shared/Introduction/CaseSensitiveMatches.htm",a:"You can configure Eduction to match characters case sensitively or case insensitively. By default, it is case sensitive, which has better performance. The simplest way to match case insensitively is to disable the MatchCase configuration parameter (set the parameter to  False in the configuration ...",t:"Case Sensitive Matches"},"13":{i:0.00216335837057356,u:"../Content/Shared_Admin/Licenses/_ADM_Licenses.htm",a:"To use HPE IDOL solutions, you must have a running HPE License Server, and a valid license key file for the products that you want to use. Contact HPE Big Data Support to request a license file for your installation. License Server controls the IDOL licenses, and assigns them to running components. ...",t:"Licenses"},"14":{i:0.00216335837057356,u:"../Content/Shared_Admin/Licenses/_ADM_Display_License.htm",a:"You can verify which modules you have licensed either by using the IDOL Admin interface, or by sending the LicenseInfo action from a web browser. To display license information in IDOL Admin         In the Control menu of the IDOL Admin interface for your License Server, click Licenses.\n             ...",t:"Display License Information"},"15":{i:0.00216335837057356,u:"../Content/Shared_Admin/Licenses/_ADM_LicenseServerHostPort.htm",a:"Eduction is licensed through HPE License Server. In the Eduction configuration file, specify the information required to connect to the License Server. To specify the license server host and port Open your configuration file in a text editor. In the [License] section, modify the following parameters ...",t:"Configure the License Server Host and Port"},"16":{i:0.00216335837057356,u:"../Content/Shared_Admin/Licenses/_ADM_Revoke_License.htm",a:"After you set up licensing, you can revoke licenses at any time, for example, if you want to change the client configuration or reallocate the license. The following procedure revokes the license from a component.  To revoke a license Stop the HPE solution that uses the license. At the command ...",t:"Revoke a Client License"},"17":{i:0.00400222110264895,u:"../Content/Shared_Admin/Licenses/_ADM_License_Errors.htm",a:"The table contains explanations for typical licensing-related error messages. License-related error messages Error message Explanation Error: Failed to update license from the license server. Your license cache details do not match the current service configuration. Shutting the service down.  The ...",t:"Troubleshoot License Errors"},"18":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/deploySDK.htm",a:"Deploy Eduction SDK This chapter describes the files in the Eduction SDK and how to deploy the SDK. It contains the following sections:",t:"Deploy Eduction SDK"},"19":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/deploySDK1.htm",a:" The Eduction SDK includes the following components: Eduction SDK Programming Guide Standard collection of grammar files covering a range of commonly used entities edktool command-line tool used for compiling Eduction XML source grammar files into compiled run-time ECR files Eduction Server C API ...",t:"Eduction SDK "},"20":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/SDKInstallation.htm",a:"Use the following procedure to install Eduction SDK. To install Eduction SDK Go to the Download Center on the Customer Support site. Download the latest Eduction SDK .zip file for your platform: EductionSDK_\u003cVersionNumber\u003e_\u003cPlatform\u003e.zip Copy the .zip file to a location on your local machine, and ...",t:"Eduction SDK Installation"},"21":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/EductionServer.htm",a:"Eduction Server\n         Eduction Server is an ACI server, and requires a configuration file to run. A sample configuration file is provided with Eduction SDK. To run Eduction Server, you must update this configuration file with the host and port details of your HPE License Server. Start and Stop ...",t:"Eduction Server\n        "},"22":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/C_API.htm",a:"The C API component of the Eduction SDK includes: The Eduction header file (edk.h). The Eduction SDK library linker file (edk.lib), Windows only. The Eduction SDK library on Windows (edk.dll) or shared object on UNIX (libedk.so). Several sample C programs that demonstrate various SDK features. ...",t:"C API Component"},"23":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/Buildtestedk.htm",a:"You can use the sample programs to validate that the Eduction EDK compiles, links, and runs correctly. UNIX Use the following procedure to build the sample programs on UNIX.\n         To build the sample programs on UNIX Navigate to the c_api/test directory. Set the PLATFORM environment variable ...",t:"Build the Sample Programs"},"24":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/DeployEductionSDK/Java_API.htm",a:"The Java API component of the Eduction SDK includes: The Eduction library on Windows (edkjni.dll) or shared object on UNIX (libedkjni.so). The Java JAR file (edk.jar). Java code samples that you can compile and execute by using the Eduction SDK. These samples are located in the ...",t:"Java API Component"},"25":{i:0.00740412554167365,u:"../Content/ProgrammingGuide/DeployEductionSDK/BuildSample1Class.htm",a:"Build and Run the Sample Programs Use the following procedure to build and run the sample programs. To build and run the sample programs Navigate to the java_api directory. Run ant all.",t:"Build and Run the Sample Programs"},"26":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/apiReference.htm",a:"API Reference This chapter describes the C and Java APIs for Eduction SDK, and contains the following sections: ",t:"API Reference"},"27":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/C_APIConcepts.htm",a:"C API Concepts This section describes concepts required to implement C language applications for Eduction SDK.",t:"C API Concepts"},"28":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/IncludeFiles.htm",a:"Include Files The Eduction SDK C API uses the edk.h include file. This include file contains the core APIs for the Eduction SDK engine.",t:"Include Files"},"29":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/NamingConventionsC.htm",a:"Naming Conventions The types, functions, and macros specific to Eduction SDK are prefixed with the string Edk.",t:"Naming Conventions"},"30":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/ConcurrencyControlC.htm",a:"Concurrency in Eduction is handled using sessions. An instance of an EDKEngine is initialized with corresponding grammars for entity extraction. Each such engine can be associated with one or more sessions. All the sessions in the engine share the same grammars. The engine must be configured fully ...",t:"Concurrency Control"},"31":{i:0.00400222110264895,u:"../Content/ProgrammingGuide/APIReference/StandaloneAPIUsageC.htm",a:"The Eduction Software Development Kit (SDK) C API allows C developers to interact directly with the Eduction engine. At the core of the API is an eduction engine. The first call of the API in an application should create the engine. You must then set a valid license for the engine.  After you create ...",t:"Standalone API Usage"},"32":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/C_API_Reference.htm",a:"C API Reference The C API Reference documentation is located in the following directory:  InstallDir/c_api/help/ where  InstallDir is the directory where you have installed the Eduction SDK.",t:"C API Reference"},"33":{i:0.00556526280959827,u:"../Content/ProgrammingGuide/APIReference/C_API_Examples.htm",a:"C API Examples This section provides sample programs that demonstrate usage of specific API functions.",t:"C API Examples"},"34":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/basic_c.htm",a:"The basic.c program demonstrates the basic usage of the C API functions, as described in  Standalone API Usage . This program: creates an Eduction engine.  configures an Eduction engine.  associates a session with the Eduction engine.  adds text to the session, and performs an entity extraction on ...",t:"basic.c"},"35":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/cjknormalization_c.htm",a:"cjknormalization.c\n         The cjknormalization.c program builds upon basic.c and shows how you can perform normalization of Chinese, Japanese, and Korean input text before you process it in an eduction session. #include \u003cstdlib.h\u003e\n#include \u003cstdio.h\u003e\n#include \u003csys/types.h\u003e\n#include ...",t:"cjknormalization.c\n        "},"36":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/postprocess_c.htm",a:"postprocess.c\n         The postprocess.c program builds upon basic.c and shows the work flow needed to support post-processing in eduction. The program:\n         creates and configures an eduction engine.\n         creates post-processing tasks.\n         creates an eduction session to process the ...",t:"postprocess.c\n        "},"37":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/redaction_c.htm",a:"redaction.c\n         The redaction.c program demonstrates the use of the EdkGetRedactedText function. It shows how to set up an eduction engine with the specified grammars and entities, and how you can use that engine to produce redacted output when given an input buffer.\n #include ...",t:"redaction.c\n        "},"38":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/multithread_c.htm",a:"The multithread.c example program is for use on the Linux platform. This sample program demonstrates the use of multiple eduction sessions associated with a single eduction engine running in parallel.  This program takes arguments of the names of the text files to process. The program has the ...",t:"multithread.c"},"39":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/Java_APIConcepts.htm",a:"Eduction SDK provides a Java API that enables your application to create an extraction engine and perform entity extractions. This section describes the concepts used to write Java applications with the Eduction SDK. The Java SDK consists of a JAR file, and a DLL (Windows) or shared object ...",t:"Java API Concepts"},"40":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/NamingConventionsJava.htm",a:"Naming Conventions The main JNI class that provides access to native functionality is EDKJNI. Support classes for the JNI are prefixed with EDKJNI, for example EDKJNIVersion. The Eduction class library classes are prefixed with EDK, for example EDKEngine.",t:"Naming Conventions"},"41":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/ConcurrencyControlJava.htm",a:"Concurrency in Eduction is handled using sessions, represented by an EDKSession object. An instance of an EDKEngine object is initialized with corresponding grammars for entity extraction. Each such engine can be associated with one or more sessions. All the sessions in the engine share the same ...",t:"Concurrency Control"},"42":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/StandaloneAPIUsageJava.htm",a:"This section describes the basic structure of a stand-alone application using the API. See the source referenced in  Java API Example . Typically, your application takes the following actions: Instantiate an EDKEngine object. Set the license key. Configure the engine, load the grammars and select ...",t:"Standalone API Usage"},"43":{i:0.00216335837057356,u:"../Content/ProgrammingGuide/APIReference/Java_API_Reference.htm",a:"Java API Reference The Java API Reference documentation is located in the following directory:  InstallDir/java_api/help where  InstallDir is the directory where you have installed the Eduction SDK.",t:"Java API Reference"},"44":{i:0.00400222110264895,u:"../Content/ProgrammingGuide/APIReference/Java_API_Example.htm",a:"The Eduction Java API includes sample programs that illustrate basic Eduction Java API usage. The samples are located in the src/com/autonomy/eduction/test folder. The samples are documented inline and are also described in the HTML documentation. For information on how to build and run the sample ...",t:"Java API Example"},"45":{i:0.00281845426696107,u:"../Content/Shared/ACIServer/aciServer.htm",a:"Eduction ACI Server This section describes the Eduction ACI Server.",t:"Eduction ACI Server"},"46":{i:0.00216335837057356,u:"../Content/Shared/ACIServer/ACIServerIntro.htm",a:"The Eduction ACI Server is a standalone server based upon the HPE ACI server. The Eduction Server processes UTF-8 encoded text, matching upon entities defined in Eduction grammars. Results return as XML, with tags in the HPE ACI hierarchy. You define the grammars to load and the entities to match on ...",t:"Introduction to Eduction ACI Server"},"47":{i:0.00327161124925664,u:"../Content/Shared/ACIServer/CommandLineOptions.htm",a:"Usage: eductionserver [options] Options\n Description -version Displays the program version. This option must be the only argument. The program ends after the version information is displayed. directory Sets the working directory. The Eduction ACI server starts from this directory. All other ...",t:"Command-Line Options"},"48":{i:0.00391146091654939,u:"../Content/Shared/ACIServer/CFGSettings.htm",a:"The Eduction ACI Server requires a configuration file, which identifies settings required for the server to run. The default configuration file is eductionserver.cfg. You can change the configuration file by using command-line options. See  Command-Line Options . See  Eduction Parameters  for more ...",t:"Configuration File Settings"},"49":{i:0.0144206108531028,u:"../Content/Shared_Admin/_ADM_Include_Config.htm",a:"You can share configuration sections or parameters between ACI server configuration files. The following sections describe different ways to include content from an external configuration file.  You can include a configuration file in its entirety, specified configuration sections, or a single ...",t:"Include an External Configuration File"},"50":{i:0.00477734629944472,u:"../Content/Shared/ACIServer/LuaPostProcessing.htm",a:"Eduction Server, edktool, and the Eduction SDK support Lua post-processing. You can use this to carry out internal consistency checks, or to format your output. For example, if you configured an Eduction task to extract credit card numbers, you can set up a post-processing task to discard matches ...",t:"Lua Post-Processing"},"51":{i:0.00216335837057356,u:"../Content/Shared/ACIServer/ConfigPostProc.htm",a:"To configure Lua post-processing tasks, you must specify the number of tasks and task names in the [PostProcessingTasks] section of the configuration file, for example: [PostProcessingTasks]\nnumTasks=2\ntask0=checksum\ntask1=filterscore Each task must also have its own section in the configuration ...",t:"Configure Post-Processing"},"52":{i:0.00216335837057356,u:"../Content/Shared/ACIServer/EnMasseScript.htm",a:"The previous section describes how to set up a post-processing task whereby the script performs the required action on each match individually. You can also set up en masse scripting tasks whereby all the matches found by an Eduction task are passed into a single post-processing task, which can use ...",t:"Configure En Masse Scripting"},"53":{i:0.00216335837057356,u:"../Content/Shared/ACIServer/ExampleScripts.htm",a:"The following example post-processing script sets the score for all matches to  0.5: function processmatch (edkmatch) if edkmatch then     -- just overwrite the score     edkmatch:setScore(0.5)     end return true You can also use the sample scripts that are included with Eduction to perform the ...",t:"Example Scripts"},"54":{i:0.00216335837057356,u:"../Content/Shared/ACIServer/ServerActions.htm",a:"You can run actions on the Eduction ACI server using the HTTP request: http://Host:Port/?action=action[\u0026Parameter=Value[\u0026Parameter=Value...]] For example: http://localhost:13000/action=GetStatus The Eduction ACI server provides the following actions (case insensitive): GetStatus Returns the status ...",t:"Server Actions"},"55":{i:0.00400222110264895,u:"../Content/Shared/ACIServer/SelectEntitiesRuntime.htm",a:"You can customize the behavior of the extraction for individual query actions by specifying the configuration settings as query parameters in the ACI request. For example: http://localhost:13000/?action=EduceFromFile\u0026MatchCase=True\u0026Grammars=place_albal.ecr If you specify a parameter as part of a ...",t:"Select Entities at Runtime"},"56":{i:0.00373788563299877,u:"../Content/Shared/Edktool/edkToolUtility.htm",a:"edktool Command-Line Tool This section describes edktool and the configuration files that specify Eduction settings that are used with it.",t:"edktool Command-Line Tool"},"57":{i:0.00216335837057356,u:"../Content/Shared/Edktool/AboutEdktool_.htm",a:"edktool is a tool for Eduction that allows you to compile and test your grammars. edktool can perform the following functions: compile grammars list available entities in a grammar file extract entities from a file based on a grammar and select entities from the grammar for extraction test the ...",t:"About edktool"},"58":{i:0.00786862752670209,u:"../Content/Shared/Edktool/WildcardEdktool.htm",a:"The -e and -g parameters in the  Generate\n         ,  Compile ,  Assess , and  Extract  options in edktool support wildcard expressions. For example, if you want to use all of the available sentiment analysis files in the grammars directory, you can type -e \"grammars/sentiment_*.ecr\" instead of ...",t:"Wildcard Expressions in edktool"},"59":{i:0.00216335837057356,u:"../Content/Shared/Edktool/edktoolSyntax.htm",a:"\n           Syntax for edktool is as follows: Usage: edktool  {\n     generate    -i \u003cinputfile\u003e [-o \u003coutputfile\u003e] [-e \u003centityname\u003e]\n     compile     [-i] \u003cinputfile\u003e [-e \u003centity\u003e[,\u003centity\u003e...]]\n                 [-l \u003clicensefile\u003e] [-o \u003coutputfile\u003e] [-p] |\n     list        \u003cgrammarfile\u003e [-a] [-q]  |\n  ...",t:"edktool Syntax"},"60":{i:0.00216335837057356,u:"../Content/Shared/Edktool/edktoolOptions.htm",a:"edktool Options This section describes the edktool options.",t:"edktool Options"},"61":{i:0.00383545244967653,u:"../Content/Shared/Edktool/Compile.htm",a:"\n            This option creates a compiled Eduction grammar file. You can use wildcard expressions in the -e parameter; see \n             Wildcard Expressions in edktool  for more information.\n         -l \u003clicensefile\u003e The file containing a valid license key for Eduction.  If you do not specify a ...",t:"Compile"},"62":{i:0.00216335837057356,u:"../Content/Shared/Edktool/List.htm",a:"This option lists the entities in an uncompiled (Source) XML Eduction grammar file or a compiled ECR grammar file. Listing the contents of an XML file lists all entities in the file, both private and public. Listing the contents of a compiled ECR file lists all public entities. Private entities not ...",t:"List"},"63":{i:0.00216335837057356,u:"../Content/Shared/Edktool/Permissions.htm",a:"This option reads any specified directory and returns a list of all compiled grammar files inside it that you can access using the specified licence.  To enable this feature, type edktool p -d \u003cdirectory\u003e -l \u003clicencefile\u003e at the command line. You can also include the optional parameter -a to return ...",t:"Permissions"},"64":{i:0.00383545244967653,u:"../Content/Shared/Edktool/Generate.htm",a:"Generate\n         This option generates an uncompiled XML source file from a plaintext grammar file.\n         To enable this feature, type edktool g -i \u003cinputfile\u003e at the command line. You can also specify the optional -o and -e parameters.\n You can use wildcard expressions in the -e parameter; see ...",t:"Generate\n        "},"65":{i:0.00383545244967653,u:"../Content/Shared/Edktool/Assess.htm",a:"This option enables you to assess the performance and accuracy of an Eduction grammar against a set of pre-tagged examples.  You must supply a text file with one phrase on each line; the Assess feature checks whether each line contains a match. You must specify at least one input file, using the -v ...",t:"Assess"},"66":{i:0.00383545244967653,u:"../Content/Shared/Edktool/Extract.htm",a:"This option extracts entities from a document. It can print the output to a file, or to the console. You can use this option to test your grammars. You can use wildcard expressions in the -e and -g parameters; see \n             Wildcard Expressions in edktool  for more information.\n         Redact ...",t:"Extract"},"67":{i:0.00216335837057356,u:"../Content/Shared/Edktool/Measure.htm",a:"This option measures precision and recall between extraction runs by comparing the expected results of entity extraction with the actual results. Expected results are created once and remain as a base reference for ongoing tests. Actual results are generated as required each time a grammar is ...",t:"Measure"},"68":{i:0.00216335837057356,u:"../Content/Shared/Edktool/Help.htm",a:"Help This option lists the valid edktool options along with brief descriptions for each.",t:"Help"},"69":{i:0.00623855062495108,u:"../Content/Shared/Edktool/PlainTextGrammarFormat.htm",a:"        Plaintext grammar files must have only a single entity, that consists entirely of headwords. Patterns, synonyms, scoring and so on are not supported.\n         Each line in the grammar file must consist of either a headword, a blank line, or a comment (a line beginning with // that is skipped ...",t:"Plaintext Grammar File Format        "},"70":{i:0.00216335837057356,u:"../Content/Shared/Edktool/CommandLineExamples.htm",a:"Command-Line Examples This section provides some examples of the command-line tool functionality.",t:"Command-Line Examples"},"71":{i:0.00216335837057356,u:"../Content/Shared/Edktool/CompileGrammars.htm",a:"Compile Grammars edktool c mygrammar.xml Compiles mygrammar.xml into mygrammar.ecr. edktool c -i mygrammar.xml -e common/* -o compiledgrammar.ecr Compiles all the entities in the common entity type in mygrammar.xml into compiledgrammar.ecr.",t:"Compile Grammars"},"72":{i:0.00216335837057356,u:"../Content/Shared/Edktool/ListEntities.htm",a:"List Entities edktool list mygrammar.ecr Lists all public entities in the compiled grammar file, mygrammar.ecr.",t:"List Entities"},"73":{i:0.00216335837057356,u:"../Content/Shared/Edktool/ExtractEntities.htm",a:"edktool e -i myPlainTextFile.txt -g myGrammar.ecr Extracts all entities in myGrammar.ecr from myPlainTextFile.txt, sending the output to the console in XML format, with the field names for the matching text automatically generated from the entity names found in myGrammar.ecr. edktool e -i ...",t:"Extract Entities"},"74":{i:0.00216335837057356,u:"../Content/Shared/Edktool/MeasureAccuracy.htm",a:"Measure Accuracy edktool m -e expected.xml -a actual.xml -o difference.xml -q Compare expected.xml with actual.xml and put the difference in difference.xml, including precision and recall. “Quiet Mode” is enabled, so all descriptive messages are removed from the output.",t:"Measure Accuracy"},"75":{i:0.00216335837057356,u:"../Content/Shared/Edktool/RunAssessments.htm",a:"edktool a -l \u003clicense\u003e -c \u003cconfiguration_file\u003e [-a] [-o \u003coutput_file\u003e] Run several assessments from a single Eduction configuration file. The configuration file must contain a numbered [assessmentN] section for each assessment you want to run. You must specify the input files, the entities to match, ...",t:"Run Assessments"},"76":{i:0.00460847372320007,u:"../Content/Shared/Edktool/edktoolConfigFiles.htm",a:"Configuration Files for Eduction Settings The Extraction option of edktool can take its configuration settings from one for the following file types:  .CFG file  XML file You can use the same Eduction configuration settings in each file format, including wildcard expressions where applicable.",t:"Configuration Files for Eduction Settings"},"77":{i:0.00216335837057356,u:"../Content/Shared/Edktool/DefineSettingsCFG.htm",a:"The Eduction configuration settings that can be defined in the IDOL Server format .CFG configuration file are described in  Eduction Parameters . The .CFG configuration file consists of several sections that are identified by a phrase in square brackets. Each section contains parameters (name/value ...",t:"Define Eduction Settings in the .CFG Configuration File"},"78":{i:0.00216335837057356,u:"../Content/Shared/ModifyConfigParamValues.htm",a:"The following section describes how to enter parameter values in the configuration file.  Enter Boolean Values The following settings for Boolean parameters are interchangeable: TRUE = true = True = ON = on = Y = y = 1 FALSE = false = False = OFF = off = N = n =0 Enter String Values Some parameters ...",t:"Modify Configuration Parameter Values"},});